{ "results": [ { "address": "1600 Amphitheatre Parkway", "average_volume": 36559933, "beta": 1.011, "ceo": "Sundar Pichai", "change": 0.75, "change_percentage": 0.30514, "cik": "0001652044", "city": "Mountain View", "company_name": "Alphabet Inc.", "country": "US", "currency": "USD", "cusip": "02079K305", "default_image": false, "description": "Alphabet Inc. provides various products and platforms in the United States, Europe, the Middle East, Africa, the Asia-Pacific, Canada, and Latin America. It operates through Google Services, Google Cloud, and Other Bets segments. The Google Services segment offers products and services, including ads, Android, Chrome, hardware, Gmail, Google Drive, Google Maps, Google Photos, Google Play, Search, and YouTube. It is also involved in the sale of apps and in-app purchases and digital content in the Google Play store; and Fitbit wearable devices, Google Nest home products, Pixel phones, and other devices, as well as in the provision of YouTube non-advertising services. The Google Cloud segment offers infrastructure, platform, and other services; Google Workspace that include cloud-based collaboration tools for enterprises, such as Gmail, Docs, Drive, Calendar, and Meet; and other services for enterprise customers. The Other Bets segment sells health technology and internet services. The company was founded in 1998 and is headquartered in Mountain View, California.", "exchange": "NASDAQ", "exchange_full_name": "NASDAQ Global Select", "full_time_employees": 185719, "image": "https://images.financialmodelingprep.com/symbol/GOOGL.png", "industry": "Internet Content & Information", "ipo_date": "2004-08-19", "is_actively_trading": true, "is_adr": false, "is_etf": false, "is_fund": false, "isin": "US02079K3059", "market_cap": 2981795821806, "phone": "650 253 0000", "price": 246.54, "range": "140.53-256", "rp_entity_id": "4A6F00", "sector": "Communication Services", "state": "CA", "target_identifier_id": "GOOGL", "volume": 18503194, "website": "https://www.abc.xyz", "zip": "94043" } ], "metadata": { "request_id": "<string>", "timestamp": "<string>" }, "sources": [ { "id": "CA9FA3", "name": "Corporate Fundamentals" } ], "usage": {}}
Company & Events
Company Profile
This endpoint retrieves comprehensive company profile data including company name, sector, industry, CEO, market cap, and other key business information.
{ "results": [ { "address": "1600 Amphitheatre Parkway", "average_volume": 36559933, "beta": 1.011, "ceo": "Sundar Pichai", "change": 0.75, "change_percentage": 0.30514, "cik": "0001652044", "city": "Mountain View", "company_name": "Alphabet Inc.", "country": "US", "currency": "USD", "cusip": "02079K305", "default_image": false, "description": "Alphabet Inc. provides various products and platforms in the United States, Europe, the Middle East, Africa, the Asia-Pacific, Canada, and Latin America. It operates through Google Services, Google Cloud, and Other Bets segments. The Google Services segment offers products and services, including ads, Android, Chrome, hardware, Gmail, Google Drive, Google Maps, Google Photos, Google Play, Search, and YouTube. It is also involved in the sale of apps and in-app purchases and digital content in the Google Play store; and Fitbit wearable devices, Google Nest home products, Pixel phones, and other devices, as well as in the provision of YouTube non-advertising services. The Google Cloud segment offers infrastructure, platform, and other services; Google Workspace that include cloud-based collaboration tools for enterprises, such as Gmail, Docs, Drive, Calendar, and Meet; and other services for enterprise customers. The Other Bets segment sells health technology and internet services. The company was founded in 1998 and is headquartered in Mountain View, California.", "exchange": "NASDAQ", "exchange_full_name": "NASDAQ Global Select", "full_time_employees": 185719, "image": "https://images.financialmodelingprep.com/symbol/GOOGL.png", "industry": "Internet Content & Information", "ipo_date": "2004-08-19", "is_actively_trading": true, "is_adr": false, "is_etf": false, "is_fund": false, "isin": "US02079K3059", "market_cap": 2981795821806, "phone": "650 253 0000", "price": 246.54, "range": "140.53-256", "rp_entity_id": "4A6F00", "sector": "Communication Services", "state": "CA", "target_identifier_id": "GOOGL", "volume": 18503194, "website": "https://www.abc.xyz", "zip": "94043" } ], "metadata": { "request_id": "<string>", "timestamp": "<string>" }, "sources": [ { "id": "CA9FA3", "name": "Corporate Fundamentals" } ], "usage": {}}
Authorizations
X-API-KEY
string
header
required
Body
application/json
identifier
Identifier · object
required
Object specifying which identifier you are using to request the company profile. You must supply one type and its corresponding value.
Show child attributes
Response
200 - application/json
Successful Response
Response model for company profile query.
results
CompanyProfileData · object[]
required
Company profile data keyed by RP entity ID
Show child attributes
Example:
[ { "address": "1600 Amphitheatre Parkway", "average_volume": 36559933, "beta": 1.011, "ceo": "Sundar Pichai", "change": 0.75, "change_percentage": 0.30514, "cik": "0001652044", "city": "Mountain View", "company_name": "Alphabet Inc.", "country": "US", "currency": "USD", "cusip": "02079K305", "default_image": false, "description": "Alphabet Inc. provides various products and platforms in the United States, Europe, the Middle East, Africa, the Asia-Pacific, Canada, and Latin America. It operates through Google Services, Google Cloud, and Other Bets segments. The Google Services segment offers products and services, including ads, Android, Chrome, hardware, Gmail, Google Drive, Google Maps, Google Photos, Google Play, Search, and YouTube. It is also involved in the sale of apps and in-app purchases and digital content in the Google Play store; and Fitbit wearable devices, Google Nest home products, Pixel phones, and other devices, as well as in the provision of YouTube non-advertising services. The Google Cloud segment offers infrastructure, platform, and other services; Google Workspace that include cloud-based collaboration tools for enterprises, such as Gmail, Docs, Drive, Calendar, and Meet; and other services for enterprise customers. The Other Bets segment sells health technology and internet services. The company was founded in 1998 and is headquartered in Mountain View, California.", "exchange": "NASDAQ", "exchange_full_name": "NASDAQ Global Select", "full_time_employees": 185719, "image": "https://images.financialmodelingprep.com/symbol/GOOGL.png", "industry": "Internet Content & Information", "ipo_date": "2004-08-19", "is_actively_trading": true, "is_adr": false, "is_etf": false, "is_fund": false, "isin": "US02079K3059", "market_cap": 2981795821806, "phone": "650 253 0000", "price": 246.54, "range": "140.53-256", "rp_entity_id": "4A6F00", "sector": "Communication Services", "state": "CA", "target_identifier_id": "GOOGL", "volume": 18503194, "website": "https://www.abc.xyz", "zip": "94043" } ]
metadata
Metadata · object | null
Show child attributes
sources
Source · object[]
The content catalog sources the response was built from, one entry per source. Empty when no catalog source contributed.
Show child attributes
usage
Usage · object | null
Tokens the request consumed, per content tier. Present only for API keys billed in tokens.
Show child attributes
Was this page helpful?
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Bigdata.com API developer docs","colors":{"primary":"#4CA7F9","light":"#4CA7F9","dark":"#4CA7F9"},"logo":{"light":"https://mintcdn.com/ravenpackinternational/O1z6qnY-XMCwjEFX/logo/bigdata_logo_v3c_dark.svg?fit=max\u0026auto=format\u0026n=O1z6qnY-XMCwjEFX\u0026q=85\u0026s=946489fc058b9cc72700f20c4a07234d","dark":"https://mintcdn.com/ravenpackinternational/O1z6qnY-XMCwjEFX/logo/bigdata_logo_v3c_light.svg?fit=max\u0026auto=format\u0026n=O1z6qnY-XMCwjEFX\u0026q=85\u0026s=e100148ed224aa533563ab5a82c155c6"},"favicon":"https://mintcdn.com/ravenpackinternational/oXZ2k4-F2a4nJaoe/favicon-32x32.png?fit=max\u0026auto=format\u0026n=oXZ2k4-F2a4nJaoe\u0026q=85\u0026s=287ed1df194928ab25af5ed2186e58d0","appearance":{"default":"dark"},"background":{"color":{"dark":"#121212"}},"navbar":{"links":[{"href":"https://app.bigdata.com/signup?utm_source=docs","label":"Sign Up"}],"primary":{"type":"button","label":"Developer Platform","href":"https://platform.bigdata.com/"}},"footer":{"socials":{"x":"https://x.com/bigdatadotcom","linkedin":"https://www.linkedin.com/company/bigdata","instagram":"https://www.instagram.com/bigdatadotcom"}},"seo":{"metatags":{"canonical":"https://docs.bigdata.com"}},"integrations":{"gtm":{"tagId":"GTM-PFT937B"},"mixpanel":{"projectToken":"4725ad1c5253be8eb3543aeef1a60146"}},"contextual":{"options":["download-spec"],"display":"header"},"styling":{"latex":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"ravenpackinternational","hasAudioNarration":false,"actualSubdomain":"ravenpackinternational","customDomains":["docs.bigdata.com"],"gitSource":{"type":"github","owner":"ravenpack","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6af74a1db6ccd6eca79dc28e","clientVersion":"0.0.4142","searchFilterCounts":[{"language":"default","tag":"API","count":135},{"language":"default","tag":"MCP","count":53},{"language":"default","tag":"Getting Started","count":41},{"language":"default","tag":"Research Service","count":34},{"language":"default","tag":"Tools","count":33},{"language":"default","tag":"Structured Data","count":33},{"language":"default","tag":"How to guides","count":31},{"language":"default","tag":"Knowledge Graph","count":30},{"language":"default","tag":"Bigdata services","count":30},{"language":"default","tag":"Cookbooks","count":29}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"@import url('./widgets/widgets.css');html{scroll-behavior:smooth}.center-container{display:flex;justify-content:center;align-items:center}.medium_size{height:200px}.hero-bg{background-image:url(\"https://mintlify.s3.us-west-1.amazonaws.com/ravenpackinternational/images/hero-bg-enhanced.jpg\"),\n url(\"https://mintlify.s3.us-west-1.amazonaws.com/ravenpackinternational/images/hero-bg.jpg\");background-size:cover;background-position:center;background-repeat:no-repeat}.hero-bg-content{color:#111!important}.hero-logo{filter:none!important}.text-playground-input{color:#171a1b!important}.dark .text-playground-input{color:#ffffff!important}.text-playground-input option{color:#171a1b!important;background-color:#ffffff!important}.dark .text-playground-input option{color:#ffffff!important;background-color:#171a1b!important}#navbar img.nav-logo{height:24px}@media (max-width: 600px){#navbar img.nav-logo{height:20px}}.author-avatar-image{width:100%;height:100%;display:block;object-fit:cover;margin:0}.dark img[src$=\"/images/logos/grok.svg\"],.dark img[src$=\"/images/logos/chatgpt.svg\"],.dark img[src$=\"/images/logos/cursor.svg\"]{filter:invert(1)}.agent-cards [data-component-part=\"card-content-container\"]{align-items:flex-start}.compact-table td,.compact-table th{min-width:0!important;padding-right:0.75rem}"},{"filePath":"widgets/widgets.css","content":""}],"page":{"pagePath":"api-reference/company-\u0026-events/company-profile","slug":"/api-reference/company-\u0026-events/company-profile","pageMetadata":{"title":"Company Profile","description":"This endpoint retrieves comprehensive company profile data including company name, sector, industry, CEO, market cap, and other key business information.","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_structured_data.json post /v1/company-profile/query","href":"/api-reference/company-\u0026-events/company-profile","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"This endpoint retrieves comprehensive company profile data including company name, sector, industry, CEO, market cap, and other key business information.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Company Profile","description":"This endpoint retrieves comprehensive company profile data including company name, sector, industry, CEO, market cap, and other key business information.","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_structured_data.json post /v1/company-profile/query","href":"/api-reference/company-\u0026-events/company-profile","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/ravenpackinternational/e8fac7367cdeecdc/script.js"],"openApiReferenceData":{"operation":{"tags":["Company \u0026 Events"],"summary":"Company Profile","description":"This endpoint retrieves comprehensive company profile data including company name, sector, industry, CEO, market cap, and other key business information.","operationId":"query_company_profile_v1_company_profile_query_post","requestBody":"8de6e3a1-2bcf-46f0-a7b1-d73c86ae5467","responses":{"200":"3f2c9e4e-24c6-46fe-8225-b09e962c4acf"},"method":"post","type":"path","servers":["0cd649ad-f9a1-46f3-a162-709b30c871d2"],"security":["870dc429-4044-4b54-8d74-d485ed953057"],"path":"/v1/company-profile/query","baseUrlOptions":["https://api.bigdata.com/"],"title":"Company Profile","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"content":{"application/json":{"schema":{"properties":{"identifier":{"properties":{"type":{"type":"string","enum":["rp_entity_id"],"title":"IdentifierType","default":"rp_entity_id","description":"The identifier namespace. Currently only `rp_entity_id` is supported.","examples":["rp_entity_id"],"isRequired":true,"uniqueKey":"identifier.type","typeLabel":"enum\u003cstring>"},"value":{"oneOf":[{"type":"string","title":"Value","description":"Bigdata uses the RavenPack Entity identifier (RP_Entity_ID) to uniquely reference entities such as companies. This identifier is a 6-character alphanumeric code (letters and numbers only). Example: Alphabet Inc. (`4A6F00`)","example":"4A6F00","isRequired":true,"uniqueKey":"identifier.value.oneOf.0","typeLabel":"string"},{"type":"array","items":{"type":"string","uniqueKey":"identifier.value.oneOf.1.items.[INDEX]","typeLabel":"string"},"title":"Value","description":"Bigdata uses the RavenPack Entity identifier (RP_Entity_ID) to uniquely reference entities such as companies. This identifier is a 6-character alphanumeric code (letters and numbers only). Example: Alphabet Inc. (`4A6F00`)","example":"4A6F00","isRequired":true,"uniqueKey":"identifier.value.oneOf.1","typeLabel":"string[]"}],"isRequired":true,"uniqueKey":"identifier.value","typeLabel":"string | string[]"}},"type":"object","required":["type","value"],"title":"Identifier","description":"Object specifying which identifier you are using to request the company profile. You must supply one type and its corresponding value.","isRequired":true,"uniqueKey":"identifier","typeLabel":"Identifier · object"}},"type":"object","required":["identifier"],"title":"IdentifierQuery","uniqueKey":"","typeLabel":"IdentifierQuery · object"},"examples":{"Example":{"title":"Example","value":{"identifier":{"type":"rp_entity_id","value":"4A6F00"}}}},"exampleType":"generated"}},"required":true,"exampleType":"generated"},"responses":{"3f2c9e4e-24c6-46fe-8225-b09e962c4acf":{"description":"Successful Response","content":{"application/json":{"schema":{"properties":{"results":{"items":{"properties":{"rp_entity_id":{"oneOf":[{"type":"string","title":"Rp Entity Id","description":"The RavenPack internal entity identifier.","example":"4A6F00","uniqueKey":"results.items.[INDEX].rp_entity_id.oneOf.0","typeLabel":"string"},{"type":"null","title":"Rp Entity Id","description":"The RavenPack internal entity identifier.","example":"4A6F00","uniqueKey":"results.items.[INDEX].rp_entity_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].rp_entity_id","typeLabel":"string | null"},"target_identifier_id":{"oneOf":[{"type":"string","title":"Target Identifier Id","description":"The target identifier provided in the request, e.g., stock symbol.","example":"GOOGL","uniqueKey":"results.items.[INDEX].target_identifier_id.oneOf.0","typeLabel":"string"},{"type":"null","title":"Target Identifier Id","description":"The target identifier provided in the request, e.g., stock symbol.","example":"GOOGL","uniqueKey":"results.items.[INDEX].target_identifier_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].target_identifier_id","typeLabel":"string | null"},"price":{"oneOf":[{"type":"number","title":"Price","description":"The price of the company.","example":245.79,"uniqueKey":"results.items.[INDEX].price.oneOf.0","typeLabel":"number"},{"type":"null","title":"Price","description":"The price of the company.","example":245.79,"uniqueKey":"results.items.[INDEX].price.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].price","typeLabel":"number | null"},"market_cap":{"oneOf":[{"type":"number","title":"Market Cap","description":"The market capitalization of the company.","example":2972724892681,"uniqueKey":"results.items.[INDEX].market_cap.oneOf.0","typeLabel":"number"},{"type":"null","title":"Market Cap","description":"The market capitalization of the company.","example":2972724892681,"uniqueKey":"results.items.[INDEX].market_cap.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].market_cap","typeLabel":"number | null"},"beta":{"oneOf":[{"type":"number","title":"Beta","description":"The beta of the company, i.e. the volatility of the stock.","example":1.011,"uniqueKey":"results.items.[INDEX].beta.oneOf.0","typeLabel":"number"},{"type":"null","title":"Beta","description":"The beta of the company, i.e. the volatility of the stock.","example":1.011,"uniqueKey":"results.items.[INDEX].beta.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].beta","typeLabel":"number | null"},"last_dividend":{"oneOf":[{"type":"number","title":"Last Dividend","description":"The last dividend of the company.","example":0,"uniqueKey":"results.items.[INDEX].last_dividend.oneOf.0","typeLabel":"number"},{"type":"null","title":"Last Dividend","description":"The last dividend of the company.","example":0,"uniqueKey":"results.items.[INDEX].last_dividend.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].last_dividend","typeLabel":"number | null"},"range":{"oneOf":[{"type":"string","title":"Range","description":"The range of the company's stock prices, e.g. '166.37-488.54'.","example":"166.37-488.54","uniqueKey":"results.items.[INDEX].range.oneOf.0","typeLabel":"string"},{"type":"null","title":"Range","description":"The range of the company's stock prices, e.g. '166.37-488.54'.","example":"166.37-488.54","uniqueKey":"results.items.[INDEX].range.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].range","typeLabel":"string | null"},"change":{"oneOf":[{"type":"number","title":"Change","description":"The change of the stock price of the company.","example":-1.35,"uniqueKey":"results.items.[INDEX].change.oneOf.0","typeLabel":"number"},{"type":"null","title":"Change","description":"The change of the stock price of the company.","example":-1.35,"uniqueKey":"results.items.[INDEX].change.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].change","typeLabel":"number | null"},"change_percentage":{"oneOf":[{"type":"number","title":"Change Percentage","description":"The percentage change of the stock price of company.","example":-0.54625,"uniqueKey":"results.items.[INDEX].change_percentage.oneOf.0","typeLabel":"number"},{"type":"null","title":"Change Percentage","description":"The percentage change of the stock price of company.","example":-0.54625,"uniqueKey":"results.items.[INDEX].change_percentage.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].change_percentage","typeLabel":"number | null"},"volume":{"oneOf":[{"type":"number","title":"Volume","description":"The volume of the company's stock.","example":30515935,"uniqueKey":"results.items.[INDEX].volume.oneOf.0","typeLabel":"number"},{"type":"null","title":"Volume","description":"The volume of the company's stock.","example":30515935,"uniqueKey":"results.items.[INDEX].volume.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].volume","typeLabel":"number | null"},"average_volume":{"oneOf":[{"type":"number","title":"Average Volume","description":"The average volume of the company's stock.","example":36559933,"uniqueKey":"results.items.[INDEX].average_volume.oneOf.0","typeLabel":"number"},{"type":"null","title":"Average Volume","description":"The average volume of the company's stock.","example":36559933,"uniqueKey":"results.items.[INDEX].average_volume.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].average_volume","typeLabel":"number | null"},"company_name":{"oneOf":[{"type":"string","title":"Company Name","description":"The name of the company.","example":"Alphabet Inc.","uniqueKey":"results.items.[INDEX].company_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"Company Name","description":"The name of the company.","example":"Alphabet Inc.","uniqueKey":"results.items.[INDEX].company_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].company_name","typeLabel":"string | null"},"currency":{"oneOf":[{"type":"string","title":"Currency","description":"The currency of the company's stock.","example":"USD","uniqueKey":"results.items.[INDEX].currency.oneOf.0","typeLabel":"string"},{"type":"null","title":"Currency","description":"The currency of the company's stock.","example":"USD","uniqueKey":"results.items.[INDEX].currency.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].currency","typeLabel":"string | null"},"cik":{"oneOf":[{"type":"string","title":"Cik","description":"The Central Index Key (CIK) of the company.","example":"0001652044","uniqueKey":"results.items.[INDEX].cik.oneOf.0","typeLabel":"string"},{"type":"null","title":"Cik","description":"The Central Index Key (CIK) of the company.","example":"0001652044","uniqueKey":"results.items.[INDEX].cik.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].cik","typeLabel":"string | null"},"isin":{"oneOf":[{"type":"string","title":"Isin","description":"The International Securities Identification Number (ISIN) of the company.","example":"US02079K3059","uniqueKey":"results.items.[INDEX].isin.oneOf.0","typeLabel":"string"},{"type":"null","title":"Isin","description":"The International Securities Identification Number (ISIN) of the company.","example":"US02079K3059","uniqueKey":"results.items.[INDEX].isin.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].isin","typeLabel":"string | null"},"cusip":{"oneOf":[{"type":"string","title":"Cusip","description":"The Committee on Uniform Securities Identification Procedures (CUSIP) of the company.","example":"02079K305","uniqueKey":"results.items.[INDEX].cusip.oneOf.0","typeLabel":"string"},{"type":"null","title":"Cusip","description":"The Committee on Uniform Securities Identification Procedures (CUSIP) of the company.","example":"02079K305","uniqueKey":"results.items.[INDEX].cusip.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].cusip","typeLabel":"string | null"},"exchange_full_name":{"oneOf":[{"type":"string","title":"Exchange Full Name","description":"The full name of the exchange where the company is listed.","example":"NASDAQ Global Select","uniqueKey":"results.items.[INDEX].exchange_full_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"Exchange Full Name","description":"The full name of the exchange where the company is listed.","example":"NASDAQ Global Select","uniqueKey":"results.items.[INDEX].exchange_full_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].exchange_full_name","typeLabel":"string | null"},"exchange":{"oneOf":[{"type":"string","title":"Exchange","description":"The exchange where the company is listed.","example":"NASDAQ","uniqueKey":"results.items.[INDEX].exchange.oneOf.0","typeLabel":"string"},{"type":"null","title":"Exchange","description":"The exchange where the company is listed.","example":"NASDAQ","uniqueKey":"results.items.[INDEX].exchange.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].exchange","typeLabel":"string | null"},"industry":{"oneOf":[{"type":"string","title":"Industry","description":"The industry of the company.","example":"Internet Content \u0026 Information","uniqueKey":"results.items.[INDEX].industry.oneOf.0","typeLabel":"string"},{"type":"null","title":"Industry","description":"The industry of the company.","example":"Internet Content \u0026 Information","uniqueKey":"results.items.[INDEX].industry.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].industry","typeLabel":"string | null"},"website":{"oneOf":[{"type":"string","title":"Website","description":"The website of the company.","example":"https://www.abc.xyz","uniqueKey":"results.items.[INDEX].website.oneOf.0","typeLabel":"string"},{"type":"null","title":"Website","description":"The website of the company.","example":"https://www.abc.xyz","uniqueKey":"results.items.[INDEX].website.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].website","typeLabel":"string | null"},"description":{"oneOf":[{"type":"string","title":"Description","description":"The description of the company, e.g. 'Tesla, Inc. designs, develops, ...'","example":"Alphabet Inc. provides various products and platforms in the United States, Europe, the Middle East, Africa, the Asia-Pacific, Canada, and Latin America. It operates through Google Services, Google Cloud, and Other Bets segments. The Google Services segment offers products and services, including ads, Android, Chrome, hardware, Gmail, Google Drive, Google Maps, Google Photos, Google Play, Search, and YouTube. It is also involved in the sale of apps and in-app purchases and digital content in the Google Play store; and Fitbit wearable devices, Google Nest home products, Pixel phones, and other devices, as well as in the provision of YouTube non-advertising services. The Google Cloud segment offers infrastructure, platform, and other services; Google Workspace that include cloud-based collaboration tools for enterprises, such as Gmail, Docs, Drive, Calendar, and Meet; and other services for enterprise customers. The Other Bets segment sells health technology and internet services. The company was founded in 1998 and is headquartered in Mountain View, California.","uniqueKey":"results.items.[INDEX].description.oneOf.0","typeLabel":"string"},{"type":"null","title":"Description","description":"The description of the company, e.g. 'Tesla, Inc. designs, develops, ...'","example":"Alphabet Inc. provides various products and platforms in the United States, Europe, the Middle East, Africa, the Asia-Pacific, Canada, and Latin America. It operates through Google Services, Google Cloud, and Other Bets segments. The Google Services segment offers products and services, including ads, Android, Chrome, hardware, Gmail, Google Drive, Google Maps, Google Photos, Google Play, Search, and YouTube. It is also involved in the sale of apps and in-app purchases and digital content in the Google Play store; and Fitbit wearable devices, Google Nest home products, Pixel phones, and other devices, as well as in the provision of YouTube non-advertising services. The Google Cloud segment offers infrastructure, platform, and other services; Google Workspace that include cloud-based collaboration tools for enterprises, such as Gmail, Docs, Drive, Calendar, and Meet; and other services for enterprise customers. The Other Bets segment sells health technology and internet services. The company was founded in 1998 and is headquartered in Mountain View, California.","uniqueKey":"results.items.[INDEX].description.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].description","typeLabel":"string | null"},"ceo":{"oneOf":[{"type":"string","title":"Ceo","description":"The name of the CEO of the company.","example":"Sundar Pichai","uniqueKey":"results.items.[INDEX].ceo.oneOf.0","typeLabel":"string"},{"type":"null","title":"Ceo","description":"The name of the CEO of the company.","example":"Sundar Pichai","uniqueKey":"results.items.[INDEX].ceo.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].ceo","typeLabel":"string | null"},"sector":{"oneOf":[{"type":"string","title":"Sector","description":"The sector of the company.","example":"Communication Services","uniqueKey":"results.items.[INDEX].sector.oneOf.0","typeLabel":"string"},{"type":"null","title":"Sector","description":"The sector of the company.","example":"Communication Services","uniqueKey":"results.items.[INDEX].sector.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].sector","typeLabel":"string | null"},"country":{"oneOf":[{"type":"string","title":"Country","description":"The country where the company is located.","example":"US","uniqueKey":"results.items.[INDEX].country.oneOf.0","typeLabel":"string"},{"type":"null","title":"Country","description":"The country where the company is located.","example":"US","uniqueKey":"results.items.[INDEX].country.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].country","typeLabel":"string | null"},"full_time_employees":{"oneOf":[{"type":"integer","title":"Full Time Employees","description":"The number of full-time employees of the company","example":"185719","uniqueKey":"results.items.[INDEX].full_time_employees.oneOf.0","typeLabel":"integer"},{"type":"null","title":"Full Time Employees","description":"The number of full-time employees of the company","example":"185719","uniqueKey":"results.items.[INDEX].full_time_employees.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].full_time_employees","typeLabel":"integer | null"},"phone":{"oneOf":[{"type":"string","title":"Phone","description":"The phone number of the company.","example":"650 253 0000","uniqueKey":"results.items.[INDEX].phone.oneOf.0","typeLabel":"string"},{"type":"null","title":"Phone","description":"The phone number of the company.","example":"650 253 0000","uniqueKey":"results.items.[INDEX].phone.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].phone","typeLabel":"string | null"},"address":{"oneOf":[{"type":"string","title":"Address","description":"The address of the company.","example":"1600 Amphitheatre Parkway","uniqueKey":"results.items.[INDEX].address.oneOf.0","typeLabel":"string"},{"type":"null","title":"Address","description":"The address of the company.","example":"1600 Amphitheatre Parkway","uniqueKey":"results.items.[INDEX].address.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].address","typeLabel":"string | null"},"city":{"oneOf":[{"type":"string","title":"City","description":"The city where the company is located.","example":"Mountain View","uniqueKey":"results.items.[INDEX].city.oneOf.0","typeLabel":"string"},{"type":"null","title":"City","description":"The city where the company is located.","example":"Mountain View","uniqueKey":"results.items.[INDEX].city.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].city","typeLabel":"string | null"},"state":{"oneOf":[{"type":"string","title":"State","description":"The state where the company is located.","example":"CA","uniqueKey":"results.items.[INDEX].state.oneOf.0","typeLabel":"string"},{"type":"null","title":"State","description":"The state where the company is located.","example":"CA","uniqueKey":"results.items.[INDEX].state.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].state","typeLabel":"string | null"},"zip":{"oneOf":[{"type":"string","title":"Zip","description":"The zip code of the company.","example":"94043","uniqueKey":"results.items.[INDEX].zip.oneOf.0","typeLabel":"string"},{"type":"null","title":"Zip","description":"The zip code of the company.","example":"94043","uniqueKey":"results.items.[INDEX].zip.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].zip","typeLabel":"string | null"},"image":{"oneOf":[{"type":"string","title":"Image","description":"The image URL of the company.","example":"https://images.financialmodelingprep.com/symbol/GOOGL.png","uniqueKey":"results.items.[INDEX].image.oneOf.0","typeLabel":"string"},{"type":"null","title":"Image","description":"The image URL of the company.","example":"https://images.financialmodelingprep.com/symbol/GOOGL.png","uniqueKey":"results.items.[INDEX].image.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].image","typeLabel":"string | null"},"ipo_date":{"oneOf":[{"type":"string","title":"Ipo Date","description":"The IPO date of the company, e.g. '2010-06-29'.","format":"date","example":"2004-08-19","uniqueKey":"results.items.[INDEX].ipo_date.oneOf.0","typeLabel":"string\u003cdate>"},{"type":"string","title":"Ipo Date","description":"The IPO date of the company, e.g. '2010-06-29'.","example":"2004-08-19","uniqueKey":"results.items.[INDEX].ipo_date.oneOf.1","typeLabel":"string"},{"type":"null","title":"Ipo Date","description":"The IPO date of the company, e.g. '2010-06-29'.","example":"2004-08-19","uniqueKey":"results.items.[INDEX].ipo_date.oneOf.2","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].ipo_date","typeLabel":"string\u003cdate> | string | null"},"default_image":{"oneOf":[{"type":"boolean","title":"Default Image","description":"Whether the image is the default image or not.","example":false,"uniqueKey":"results.items.[INDEX].default_image.oneOf.0","typeLabel":"boolean"},{"type":"null","title":"Default Image","description":"Whether the image is the default image or not.","example":false,"uniqueKey":"results.items.[INDEX].default_image.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].default_image","typeLabel":"boolean | null"},"is_etf":{"oneOf":[{"type":"boolean","title":"Is Etf","description":"Whether the company is an ETF or not.","example":false,"uniqueKey":"results.items.[INDEX].is_etf.oneOf.0","typeLabel":"boolean"},{"type":"null","title":"Is Etf","description":"Whether the company is an ETF or not.","example":false,"uniqueKey":"results.items.[INDEX].is_etf.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].is_etf","typeLabel":"boolean | null"},"is_actively_trading":{"oneOf":[{"type":"boolean","title":"Is Actively Trading","description":"Whether the company is actively trading or not.","example":true,"uniqueKey":"results.items.[INDEX].is_actively_trading.oneOf.0","typeLabel":"boolean"},{"type":"null","title":"Is Actively Trading","description":"Whether the company is actively trading or not.","example":true,"uniqueKey":"results.items.[INDEX].is_actively_trading.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].is_actively_trading","typeLabel":"boolean | null"},"is_adr":{"oneOf":[{"type":"boolean","title":"Is Adr","description":"Whether the company is an ADR or not, i.e. American Depositary Receipt.","example":false,"uniqueKey":"results.items.[INDEX].is_adr.oneOf.0","typeLabel":"boolean"},{"type":"null","title":"Is Adr","description":"Whether the company is an ADR or not, i.e. American Depositary Receipt.","example":false,"uniqueKey":"results.items.[INDEX].is_adr.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].is_adr","typeLabel":"boolean | null"},"is_fund":{"oneOf":[{"type":"boolean","title":"Is Fund","description":"Whether the company is a fund or not.","example":false,"uniqueKey":"results.items.[INDEX].is_fund.oneOf.0","typeLabel":"boolean"},{"type":"null","title":"Is Fund","description":"Whether the company is a fund or not.","example":false,"uniqueKey":"results.items.[INDEX].is_fund.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].is_fund","typeLabel":"boolean | null"}},"type":"object","title":"CompanyProfileData","description":"Company profile data model.","uniqueKey":"results.items.[INDEX]","typeLabel":"CompanyProfileData · object"},"type":"array","title":"Results","description":"Company profile data keyed by RP entity ID","examples":[[{"address":"1600 Amphitheatre Parkway","average_volume":36559933,"beta":1.011,"ceo":"Sundar Pichai","change":0.75,"change_percentage":0.30514,"cik":"0001652044","city":"Mountain View","company_name":"Alphabet Inc.","country":"US","currency":"USD","cusip":"02079K305","default_image":false,"description":"Alphabet Inc. provides various products and platforms in the United States, Europe, the Middle East, Africa, the Asia-Pacific, Canada, and Latin America. It operates through Google Services, Google Cloud, and Other Bets segments. The Google Services segment offers products and services, including ads, Android, Chrome, hardware, Gmail, Google Drive, Google Maps, Google Photos, Google Play, Search, and YouTube. It is also involved in the sale of apps and in-app purchases and digital content in the Google Play store; and Fitbit wearable devices, Google Nest home products, Pixel phones, and other devices, as well as in the provision of YouTube non-advertising services. The Google Cloud segment offers infrastructure, platform, and other services; Google Workspace that include cloud-based collaboration tools for enterprises, such as Gmail, Docs, Drive, Calendar, and Meet; and other services for enterprise customers. The Other Bets segment sells health technology and internet services. The company was founded in 1998 and is headquartered in Mountain View, California.","exchange":"NASDAQ","exchange_full_name":"NASDAQ Global Select","full_time_employees":185719,"image":"https://images.financialmodelingprep.com/symbol/GOOGL.png","industry":"Internet Content \u0026 Information","ipo_date":"2004-08-19","is_actively_trading":true,"is_adr":false,"is_etf":false,"is_fund":false,"isin":"US02079K3059","market_cap":2981795821806,"phone":"650 253 0000","price":246.54,"range":"140.53-256","rp_entity_id":"4A6F00","sector":"Communication Services","state":"CA","target_identifier_id":"GOOGL","volume":18503194,"website":"https://www.abc.xyz","zip":"94043"}]],"isRequired":true,"uniqueKey":"results","typeLabel":"CompanyProfileData · object[]"},"metadata":{"oneOf":[{"type":"object","title":"Metadata","required":["request_id"],"properties":{"request_id":{"type":"string","title":"Request Id","isRequired":true,"uniqueKey":"metadata.oneOf.0.request_id","typeLabel":"string"},"timestamp":{"type":"string","title":"Timestamp","uniqueKey":"metadata.oneOf.0.timestamp","typeLabel":"string"}},"uniqueKey":"metadata.oneOf.0","typeLabel":"Metadata · object"},{"type":"null","uniqueKey":"metadata.oneOf.1","typeLabel":"null"}],"uniqueKey":"metadata","typeLabel":"Metadata · object | null"},"sources":{"items":{"properties":{"id":{"type":"string","title":"Id","description":"Content catalog identifier of the source.","examples":["CA9FA3"],"isRequired":true,"uniqueKey":"sources.items.[INDEX].id","typeLabel":"string"},"name":{"type":"string","title":"Name","description":"Catalog name of the dataset the data came from.","examples":["Corporate Fundamentals"],"isRequired":true,"uniqueKey":"sources.items.[INDEX].name","typeLabel":"string"}},"type":"object","required":["id","name"],"title":"Source","description":"A content catalog source that contributed data to a structured-data response.","uniqueKey":"sources.items.[INDEX]","typeLabel":"Source · object"},"type":"array","title":"Sources","description":"The content catalog sources the response was built from, one entry per source. Empty when no catalog source contributed.","uniqueKey":"sources","typeLabel":"Source · object[]"},"usage":{"oneOf":[{"type":"object","title":"Usage","description":"Tokens the request consumed, per content tier. Present only for API keys billed in tokens.","additionalProperties":{"type":"integer","uniqueKey":"usage.oneOf.0.additionalProperties","typeLabel":"integer"},"uniqueKey":"usage.oneOf.0","typeLabel":"Usage · object"},{"type":"null","description":"Tokens the request consumed, per content tier. Present only for API keys billed in tokens.","uniqueKey":"usage.oneOf.1","typeLabel":"null"}],"uniqueKey":"usage","typeLabel":"Usage · object | null"}},"type":"object","required":["results"],"title":"PublicCompanyProfileResponse","description":"Response model for company profile query.","uniqueKey":"","typeLabel":"PublicCompanyProfileResponse · object"},"examples":{"Example":{"title":"Example","value":{"results":[{"address":"1600 Amphitheatre Parkway","average_volume":36559933,"beta":1.011,"ceo":"Sundar Pichai","change":0.75,"change_percentage":0.30514,"cik":"0001652044","city":"Mountain View","company_name":"Alphabet Inc.","country":"US","currency":"USD","cusip":"02079K305","default_image":false,"description":"Alphabet Inc. provides various products and platforms in the United States, Europe, the Middle East, Africa, the Asia-Pacific, Canada, and Latin America. It operates through Google Services, Google Cloud, and Other Bets segments. The Google Services segment offers products and services, including ads, Android, Chrome, hardware, Gmail, Google Drive, Google Maps, Google Photos, Google Play, Search, and YouTube. It is also involved in the sale of apps and in-app purchases and digital content in the Google Play store; and Fitbit wearable devices, Google Nest home products, Pixel phones, and other devices, as well as in the provision of YouTube non-advertising services. The Google Cloud segment offers infrastructure, platform, and other services; Google Workspace that include cloud-based collaboration tools for enterprises, such as Gmail, Docs, Drive, Calendar, and Meet; and other services for enterprise customers. The Other Bets segment sells health technology and internet services. The company was founded in 1998 and is headquartered in Mountain View, California.","exchange":"NASDAQ","exchange_full_name":"NASDAQ Global Select","full_time_employees":185719,"image":"https://images.financialmodelingprep.com/symbol/GOOGL.png","industry":"Internet Content \u0026 Information","ipo_date":"2004-08-19","is_actively_trading":true,"is_adr":false,"is_etf":false,"is_fund":false,"isin":"US02079K3059","market_cap":2981795821806,"phone":"650 253 0000","price":246.54,"range":"140.53-256","rp_entity_id":"4A6F00","sector":"Communication Services","state":"CA","target_identifier_id":"GOOGL","volume":18503194,"website":"https://www.abc.xyz","zip":"94043"}],"metadata":{"request_id":"\u003cstring>","timestamp":"\u003cstring>"},"sources":[{"id":"CA9FA3","name":"Corporate Fundamentals"}],"usage":{}}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"870dc429-4044-4b54-8d74-d485ed953057":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-KEY","scopes":[],"schemeName":"ApiKeyAuth"}}},"servers":{"0cd649ad-f9a1-46f3-a162-709b30c871d2":{"url":"https://api.bigdata.com/"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"X-API-KEY","scopes":[],"schemeName":"ApiKeyAuth"},"schema":{"title":"X-API-KEY","type":"string","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"ApiKeyAuth","name":"X-API-KEY"}],"title":"ApiKeyAuth"}]},"originalFileLocation":"api-rest/openapi/openapi_structured_data.json"},"subdomain":"ravenpackinternational","siteName":"Bigdata.com API developer docs","title":"Company Profile - Bigdata.com API developer docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-11-13T13:01:09.004Z","originalFileLocation":"api-reference/company-\u0026-events/company-profile.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"dark\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"This endpoint retrieves comprehensive company profile data including company name, sector, industry, CEO, market cap, and other key business information.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Bigdata.com API developer docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/ravenpackinternational/0ZQJThiL-hYHaY_C/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/ravenpackinternational/0ZQJThiL-hYHaY_C/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/ravenpackinternational/0ZQJThiL-hYHaY_C/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/ravenpackinternational/0ZQJThiL-hYHaY_C/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/ravenpackinternational/0ZQJThiL-hYHaY_C/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/ravenpackinternational/0ZQJThiL-hYHaY_C/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/ravenpackinternational/0ZQJThiL-hYHaY_C/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/ravenpackinternational/0ZQJThiL-hYHaY_C/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/ravenpackinternational/0ZQJThiL-hYHaY_C/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Company Profile - Bigdata.com API developer docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"This endpoint retrieves comprehensive company profile data including company name, sector, industry, CEO, market cap, and other key business information.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Bigdata.com API developer docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.bigdata.com/api-reference/company-\u0026amp;-events/company-profile\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://ravenpackinternational.mintlify.site/_mintlify/api/og/v2?division=Company+%26+Events\u0026amp;title=Company+Profile\u0026amp;description=This+endpoint+retrieves+comprehensive+company+profile+data+including+company+name%2C+sector%2C+industry%2C+CEO%2C+market+cap%2C+and+other+key+business+information.\u0026amp;theme=0fc28b44b457f1524ebe9144\u0026amp;signature=501dd2a043a197f5d72e5191a226673612a077bbad35c4009804462f4d6d9a73\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Company Profile - Bigdata.com API developer docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"This endpoint retrieves comprehensive company profile data including company name, sector, industry, CEO, market cap, and other key business information.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://ravenpackinternational.mintlify.site/_mintlify/api/og/v2?division=Company+%26+Events\u0026amp;title=Company+Profile\u0026amp;description=This+endpoint+retrieves+comprehensive+company+profile+data+including+company+name%2C+sector%2C+industry%2C+CEO%2C+market+cap%2C+and+other+key+business+information.\u0026amp;theme=0fc28b44b457f1524ebe9144\u0026amp;signature=501dd2a043a197f5d72e5191a226673612a077bbad35c4009804462f4d6d9a73\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/ravenpackinternational/0ZQJThiL-hYHaY_C/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Bigdata.com API developer docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#4CA7F9\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.bigdata.com/api-reference/company-\u0026amp;-events/company-profile\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/company-%26-events/company-profile.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.bigdata.com/#organization\",\"name\":\"Bigdata.com API developer docs\",\"url\":\"https://docs.bigdata.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/ravenpackinternational/O1z6qnY-XMCwjEFX/logo/bigdata_logo_v3c_dark.svg?fit=max\u0026auto=format\u0026n=O1z6qnY-XMCwjEFX\u0026q=85\u0026s=946489fc058b9cc72700f20c4a07234d\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.bigdata.com#website\",\"name\":\"Bigdata.com API developer docs\",\"url\":\"https://docs.bigdata.com\",\"publisher\":{\"@id\":\"https://docs.bigdata.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.bigdata.com/api-reference/company-\u0026-events/company-profile#webpage\",\"url\":\"https://docs.bigdata.com/api-reference/company-\u0026-events/company-profile\",\"name\":\"Company Profile\",\"description\":\"This endpoint retrieves comprehensive company profile data including company name, sector, industry, CEO, market cap, and other key business information.\",\"dateModified\":\"2026-11-13T13:01:09.004Z\",\"isPartOf\":{\"@id\":\"https://docs.bigdata.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.bigdata.com/api-reference/company-\u0026-events/company-profile#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.bigdata.com/api-reference/company-\u0026-events/company-profile#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Structured Data\",\"item\":\"https://docs.bigdata.com/structured-data/introduction\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Company Profile\",\"item\":\"https://docs.bigdata.com/api-reference/company-\u0026-events/company-profile\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.bigdata.com/api-reference/company-\u0026-events/company-profile#apireference\",\"headline\":\"Company Profile\",\"name\":\"Company Profile\",\"description\":\"This endpoint retrieves comprehensive company profile data including company name, sector, industry, CEO, market cap, and other key business information.\",\"url\":\"https://docs.bigdata.com/api-reference/company-\u0026-events/company-profile\",\"mainEntityOfPage\":{\"@id\":\"https://docs.bigdata.com/api-reference/company-\u0026-events/company-profile#webpage\"},\"dateModified\":\"2026-11-13T13:01:09.004Z\",\"publisher\":{\"@id\":\"https://docs.bigdata.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.bigdata.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Bigdata.com API developer docs\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Bigdata.com API developer docs\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/company-%26-events/company-profile.md","siteName":"Bigdata.com API developer docs","nav":{"global":null,"tabs":[{"tab":"Getting Started","pages":[{"title":"Getting Started","href":"/getting-started/home"}]},{"tab":"How to guides","pages":[{"title":"How to guides","href":"/how-to-guides/introduction"}]},{"tab":"Cookbooks","pages":[{"title":"Cookbooks","href":"/use-cases/introduction"}]},{"tab":"MCP","pages":[{"title":"MCP","href":"/mcp-reference/introduction"}]},{"tab":"Skills","pages":[{"title":"Skills","href":"/skills-reference/introduction"}]},{"tab":"API","pages":[{"group":"API","pages":[{"title":"Introduction to Bigdata APIs","sidebarTitle":"Introduction","href":"/api-rest/introduction"},{"title":"Domains to whitelist","href":"/api-rest/bigdata_domains"},{"title":"Authentication","href":"/api-rest/authentication"},{"group":"Best practices","pages":[{"title":"Resolve companies","href":"/api-rest/best-practices/resolve_companies"},{"title":"Company news coverage","sidebarTitle":"News Coverage","href":"/api-rest/best-practices/company_news_coverage"}]},{"title":"Rate limits","href":"/api-rest/rate_limits"},{"title":"Bigdata CLI","sidebarTitle":"Bigdata CLI","href":"/cli-reference/introduction"},{"group":"Widgets","pages":[{"title":"Widgets","sidebarTitle":"Introduction","href":"/widgets/introduction"},{"title":"Embed the chat widget","sidebarTitle":"Chat Widget","href":"/widgets/chatbox-widget"},{"title":"Embed the document viewer widget","sidebarTitle":"Document Viewer Widget","href":"/widgets/document-viewer-widget"},{"title":"Connect chat and document viewer on one page","sidebarTitle":"Connecting widgets","href":"/widgets/connecting-widgets"}]}]},{"group":"Knowledge Graph","pages":[{"group":"Companies","pages":[{"title":"Find by details","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_knowledge_graph.json post /v1/knowledge-graph/companies","href":"/api-reference/companies/find-by-details"},{"title":"Get by ISIN","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_knowledge_graph.json post /v1/knowledge-graph/companies/isin","href":"/api-reference/companies/get-by-isin"},{"title":"Get by CUSIP","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_knowledge_graph.json post /v1/knowledge-graph/companies/cusip","href":"/api-reference/companies/get-by-cusip"},{"title":"Get by SEDOL","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_knowledge_graph.json post /v1/knowledge-graph/companies/sedol","href":"/api-reference/companies/get-by-sedol"},{"title":"Get by Listing","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_knowledge_graph.json post /v1/knowledge-graph/companies/listing","href":"/api-reference/companies/get-by-listing"},{"title":"Get sectors","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_knowledge_graph.json get /v1/knowledge-graph/companies/sectors","href":"/api-reference/companies/get-sectors"},{"title":"Get Subsidiaries","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_knowledge_graph.json post /v1/knowledge-graph/subsidiaries/query","href":"/api-reference/companies/get-subsidiaries"}]},{"group":"ETFs","pages":[{"title":"Find by details","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_knowledge_graph.json post /v1/knowledge-graph/etfs","href":"/api-reference/etfs/find-by-details"}]},{"group":"Sources","pages":[{"title":"Find by details","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_knowledge_graph.json post /v1/knowledge-graph/sources","href":"/api-reference/sources/find-by-details"}]},{"group":"Organizations","pages":[{"title":"Find by details","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_knowledge_graph.json post /v1/knowledge-graph/organizations","href":"/api-reference/organizations/find-by-details"}]},{"group":"People","pages":[{"title":"Find by details","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_knowledge_graph.json post /v1/knowledge-graph/people","href":"/api-reference/people/find-by-details"}]},{"group":"Places","pages":[{"title":"Find by details","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_knowledge_graph.json post /v1/knowledge-graph/places","href":"/api-reference/places/find-by-details"}]},{"group":"Products","pages":[{"title":"Find by details","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_knowledge_graph.json post /v1/knowledge-graph/products","href":"/api-reference/products/find-by-details"}]},{"group":"Concepts","pages":[{"title":"Find by details","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_knowledge_graph.json post /v1/knowledge-graph/concepts","href":"/api-reference/concepts/find-by-details"}]},{"group":"Topics","pages":[{"title":"Find by details","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_knowledge_graph.json post /v1/knowledge-graph/topics","href":"/api-reference/topics/find-by-details"}]},{"group":"Funds","pages":[{"title":"Find by details","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_knowledge_graph.json post /v1/knowledge-graph/funds","href":"/api-reference/funds/find-by-details"}]},{"group":"Positions","pages":[{"title":"Find by details","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_knowledge_graph.json post /v1/knowledge-graph/positions","href":"/api-reference/positions/find-by-details"}]},{"group":"Filter values","pages":[{"title":"Get filter values","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_knowledge_graph.json get /v1/knowledge-graph/{category}/values/{filter}","href":"/api-reference/filter-values/get-filter-values"}]},{"group":"Entities","pages":[{"title":"Get Entities by ID","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_knowledge_graph.json post /v1/knowledge-graph/entities/id","href":"/api-reference/entities/get-entities-by-id"}]}]},{"group":"Search Service","pages":[{"group":"Search","pages":[{"title":"Search documents","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_search_service.json post /v1/search","href":"/api-reference/search/search-documents"},{"title":"Search volume","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_search_service.json post /v1/search/volume","href":"/api-reference/search/search-volume"},{"title":"Search watchlist","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_search_service.json post /v1/search/watchlist","href":"/api-reference/search/search-watchlist"},{"title":"Fetch document","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_search_service.json get /v1/documents/{document_id}","href":"/api-reference/search/fetch-document"}]},{"group":"Batch Search","pages":[{"title":"Create a Batch Job","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_search_service.json post /v1/search/batches","href":"/api-reference/batch-search/create-a-batch-job"},{"title":"Upload Your Input File","deprecated":null,"version":null,"playground":"none","openapi":"/api-rest/openapi/openapi_search_service.json put /s3_upload_placeholder","href":"/api-reference/batch-search/upload-your-input-file"},{"title":"Get Batch Job Info","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_search_service.json get /v1/search/batches/{batch_id}","href":"/api-reference/batch-search/get-batch-job-info"}]},{"group":"Co-mentions","pages":[{"title":"Connected Entities","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_search_service.json post /v1/search/co-mentions/entities","href":"/api-reference/co-mentions/connected-entities"},{"title":"Connected Topics","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_search_service.json post /v1/search/co-mentions/topics","href":"/api-reference/co-mentions/connected-topics"}]}]},{"group":"Watchlists","pages":[{"group":"Manage","pages":[{"title":"List watchlists","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_watchlists.json get /v1/watchlists","href":"/api-reference/watchlists/list-watchlists"},{"title":"Create a watchlist","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_watchlists.json post /v1/watchlists","href":"/api-reference/watchlists/create-a-watchlist"},{"title":"Get a watchlist","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_watchlists.json get /v1/watchlists/{watchlist_id}","href":"/api-reference/watchlists/get-a-watchlist"},{"title":"Update a watchlist","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_watchlists.json patch /v1/watchlists/{watchlist_id}","href":"/api-reference/watchlists/update-a-watchlist"},{"title":"Delete a watchlist","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_watchlists.json delete /v1/watchlists/{watchlist_id}","href":"/api-reference/watchlists/delete-a-watchlist"}]}]},{"group":"Monitors","pages":[{"group":"Manage","pages":[{"title":"Create a monitor","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_search_monitoring.json post /v1/search-monitoring/monitors","href":"/api-reference/monitors/create-a-monitor"},{"title":"List monitors","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_search_monitoring.json get /v1/search-monitoring/monitors","href":"/api-reference/monitors/list-monitors"},{"title":"Get monitor details","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_search_monitoring.json get /v1/search-monitoring/monitors/{monitor_id}","href":"/api-reference/monitors/get-monitor-details"},{"title":"Update a monitor","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_search_monitoring.json patch /v1/search-monitoring/monitors/{monitor_id}","href":"/api-reference/monitors/update-a-monitor"},{"title":"Delete a monitor","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_search_monitoring.json delete /v1/search-monitoring/monitors/{monitor_id}","href":"/api-reference/monitors/delete-a-monitor"}]},{"group":"Test","pages":[{"title":"Simulate a monitor","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_search_monitoring.json post /v1/search-monitoring/monitors/{monitor_id}/simulate","href":"/api-reference/monitors/simulate-a-monitor"}]},{"group":"Runs","pages":[{"title":"List monitor runs","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_search_monitoring.json get /v1/search-monitoring/monitors/{monitor_id}/runs","href":"/api-reference/monitors/list-monitor-runs"},{"title":"Get run details","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_search_monitoring.json get /v1/search-monitoring/monitors/{monitor_id}/runs/{run_id}","href":"/api-reference/monitors/get-run-details"}]}]},{"group":"Research Service","pages":[{"title":"Workflows API","sidebarTitle":"Introduction","href":"/api-rest/workflows/introduction"},{"group":"Research Agent","pages":[{"title":"Research Agent","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_research_agent.json post /v1/research-agent","href":"/api-reference/research-agent/research-agent"}]},{"group":"Workflows","pages":[{"title":"Execute Workflow","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_workflows.json post /v1/workflow/execute","href":"/api-reference/workflows/execute-workflow"},{"title":"Submit Workflow","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_workflows.json post /v1/workflow/execute/async","href":"/api-reference/workflows/submit-workflow"},{"title":"Stream Workflow Events","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_workflows.json get /v1/workflow/execute/async/{execution_id}/stream","href":"/api-reference/workflows/stream-workflow-events"},{"title":"Cancel Workflow","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_workflows.json post /v1/workflow/execute/async/{execution_id}/cancel","href":"/api-reference/workflows/cancel-workflow"},{"title":"List Executions","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_workflows.json get /v1/workflow/executions","href":"/api-reference/workflow-executions/list-executions"},{"title":"Get Execution","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_workflows.json get /v1/workflow/executions/{execution_id}","href":"/api-reference/workflow-executions/get-execution"},{"title":"Delete Execution","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_workflows.json delete /v1/workflow/executions/{execution_id}","href":"/api-reference/workflow-executions/delete-execution"},{"title":"List Templates","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_workflows.json get /v1/workflow/templates","href":"/api-reference/workflow-templates/list-templates"},{"title":"Create Template","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_workflows.json post /v1/workflow/templates","href":"/api-reference/workflow-templates/create-template"},{"title":"Get Template","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_workflows.json get /v1/workflow/templates/{template_id}","href":"/api-reference/workflow-templates/get-template"},{"title":"Update Template","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_workflows.json put /v1/workflow/templates/{template_id}","href":"/api-reference/workflow-templates/update-template"},{"title":"Delete Template","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_workflows.json delete /v1/workflow/templates/{template_id}","href":"/api-reference/workflow-templates/delete-template"},{"title":"List Community Templates","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_workflows.json get /v1/workflow/templates/community","href":"/api-reference/workflow-templates/list-community-templates"},{"title":"Clone Template","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_workflows.json post /v1/workflow/templates/{template_id}/clone","href":"/api-reference/workflow-templates/clone-template"}]}]},{"group":"Content","pages":[{"title":"Introduction","href":"/api-rest/content_introduction"},{"group":"Connectors","pages":[{"title":"Create connector","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_content_data.json post /contents/v1/connectors","href":"/api-reference/connectors/create-connector"},{"title":"List connectors","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_content_data.json get /contents/v1/connectors","href":"/api-reference/connectors/list-connectors"},{"title":"Get connector by ID","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_content_data.json get /contents/v1/connectors/{connector_id}","href":"/api-reference/connectors/get-connector-by-id"},{"title":"Update connector by ID","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_content_data.json put /contents/v1/connectors/{connector_id}","href":"/api-reference/connectors/update-connector-by-id"},{"title":"Trigger connector sync","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_content_data.json post /contents/v1/connectors/{connector_id}/sync","href":"/api-reference/connectors/trigger-connector-sync"},{"title":"Delete connector by ID","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_content_data.json delete /contents/v1/connectors/{connector_id}","href":"/api-reference/connectors/delete-connector-by-id"}]},{"group":"Documents","pages":[{"title":"Enrich document","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_content_data.json post /contents/v1/documents","href":"/api-reference/documents/enrich-document"},{"title":"List documents","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_content_data.json get /contents/v1/documents","href":"/api-reference/documents/list-documents"},{"title":"Get document metadata","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_content_data.json get /contents/v1/documents/{content_id}","href":"/api-reference/documents/get-document-metadata"},{"title":"Update document metadata","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_content_data.json patch /contents/v1/documents/{content_id}","href":"/api-reference/documents/update-document-metadata"},{"title":"Get annotated document","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_content_data.json get /contents/v1/documents/{content_id}/annotated","href":"/api-reference/documents/get-annotated-document"},{"title":"Get original document","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_content_data.json get /contents/v1/documents/{content_id}/original","href":"/api-reference/documents/get-original-document"},{"title":"Delete document","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_content_data.json delete /contents/v1/documents/{content_id}","href":"/api-reference/documents/delete-document"}]},{"group":"Tags","pages":[{"title":"List tags","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_content_data.json get /contents/v1/tags","href":"/api-reference/tags/list-tags"},{"title":"Create tag","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_content_data.json post /contents/v1/tags","href":"/api-reference/tags/create-tag"},{"title":"Delete tag","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_content_data.json delete /contents/v1/tags/{tag_id}","href":"/api-reference/tags/delete-tag"}]}]},{"group":"Structured Data","pages":[{"title":"Introduction","href":"/structured-data/introduction"},{"group":"Market Data","pages":[{"title":"Daily Prices","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_structured_data.json post /v1/price/daily/query","href":"/api-reference/market-data/daily-prices"},{"title":"Intraday Prices","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_structured_data.json post /v1/price/intraday/query","href":"/api-reference/market-data/intraday-prices"},{"title":"Aftermarket Prices","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_structured_data.json post /v1/price/aftermarket/query","href":"/api-reference/market-data/aftermarket-prices"},{"title":"Dividends","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_structured_data.json post /v1/dividends/query","href":"/api-reference/market-data/dividends"},{"title":"Price Changes","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_structured_data.json post /v1/price/changes/query","href":"/api-reference/market-data/price-changes"},{"title":"Quote","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_structured_data.json post /v1/quote/query","href":"/api-reference/market-data/quote"},{"title":"Entity Sentiment","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_structured_data.json post /v1/entity-sentiment/","href":"/api-reference/market-data/entity-sentiment"}]},{"group":"Analyst Estimates","pages":[{"title":"Analyst Estimates","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_structured_data.json post /v1/analyst-estimates/query","href":"/api-reference/analyst-estimates/analyst-estimates"},{"title":"Analyst Ratings","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_structured_data.json post /v1/analyst-ratings/query","href":"/api-reference/analyst-estimates/analyst-ratings"},{"title":"Earnings Surprises","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_structured_data.json post /v1/latest-surprise/query","href":"/api-reference/analyst-estimates/earnings-surprises"},{"title":"Target Price","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_structured_data.json post /v1/price/target/query","href":"/api-reference/analyst-estimates/target-price"}]},{"group":"Financials \u0026 Ratios","pages":[{"title":"Balance Sheet","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_structured_data.json post /v1/balance-sheet/query","href":"/api-reference/financials-\u0026-ratios/balance-sheet"},{"title":"Cash Flow Statement","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_structured_data.json post /v1/cash-flow-statement/query","href":"/api-reference/financials-\u0026-ratios/cash-flow-statement"},{"title":"Company Ratios TTM","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_structured_data.json post /v1/company-ratios-ttm/query","href":"/api-reference/financials-\u0026-ratios/company-ratios-ttm"},{"title":"Income Statement","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_structured_data.json post /v1/income-statement/query","href":"/api-reference/financials-\u0026-ratios/income-statement"},{"title":"Key Metrics TTM","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_structured_data.json post /v1/key-metrics-ttm/query","href":"/api-reference/financials-\u0026-ratios/key-metrics-ttm"},{"title":"Revenue Geographic Segments","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_structured_data.json post /v1/company-revenue-geographic-segments/query","href":"/api-reference/financials-\u0026-ratios/revenue-geographic-segments"},{"title":"Revenue Product Segments","description":"The Revenue Product Segments API provides access to detailed revenue data broken down by individual products. This enables investors and analysts to gain deeper insights into a company’s performance across its product portfolio.","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_structured_data.json post /v1/company-revenue-product-segments/query","href":"/api-reference/financials-\u0026-ratios/revenue-product-segments"}]},{"group":"Company \u0026 Events","pages":[{"title":"Company Profile","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_structured_data.json post /v1/company-profile/query","href":"/api-reference/company-\u0026-events/company-profile"},{"title":"Stocks \u0026 Funds Screener","description":"The Company Screener API enables advanced filtering and discovery of companies based on comprehensive financial and descriptive criteria. \n\nFilter companies by market capitalization, stock price, beta, trading volume, dividend yield, sector, industry, country, exchange, \nand trading status. Perfect for investment research, portfolio construction, and market analysis.\n","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_structured_data.json post /v1/company-screener/query","href":"/api-reference/company-\u0026-events/stocks-\u0026-funds-screener"},{"title":"Events Calendar","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_structured_data.json post /v1/events-calendar/query","href":"/api-reference/company-\u0026-events/events-calendar"},{"title":"ESG Scores","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_structured_data.json post /v1/esg-performance-score/query","href":"/api-reference/company-\u0026-events/esg-scores"},{"title":"Economic Calendar","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_structured_data.json post /v1/economic-calendar/query","href":"/api-reference/company-\u0026-events/economic-calendar"}]},{"group":"Fund Holdings","pages":[{"title":"Fund Holdings","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_structured_data.json post /v1/holdings/funds/stocks/","href":"/api-reference/fund-holdings/fund-holdings"},{"title":"Stock Fund Holdings","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_structured_data.json post /v1/holdings/stocks/funds","href":"/api-reference/fund-holdings/stock-fund-holdings"},{"title":"Fund Position Signals","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_structured_data.json post /v1/holdings/funds/trends/","href":"/api-reference/fund-holdings/fund-position-signals"}]},{"group":"Private Markets","pages":[{"title":"Private Company Overview","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_structured_data.json post /v1/private-companies/query","href":"/api-reference/private-markets/private-company-overview"},{"title":"Private Company Funding Rounds","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_structured_data.json post /v1/funding-rounds/query","href":"/api-reference/private-markets/private-company-funding-rounds"},{"title":"Private Company People","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_structured_data.json post /v1/private-company-people/query","href":"/api-reference/private-markets/private-company-people"}]},{"group":"Fixed Income","pages":[{"title":"Bonds by Issuer","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_structured_data.json post /v1/fixed-income/corporate/issuer/query","href":"/api-reference/fixed-income/bonds-by-issuer"},{"title":"Bonds by ISIN","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_structured_data.json post /v1/fixed-income/corporate/isin/query","href":"/api-reference/fixed-income/bonds-by-isin"},{"title":"Bond prices","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_structured_data.json post /v1/fixed-income/corporate/prices/query","href":"/api-reference/fixed-income/bond-prices"}]}]},{"group":"Subscription","pages":[{"group":"Quotas","pages":[{"title":"Get Subscription Quotas","deprecated":null,"version":null,"openapi":"/api-rest/openapi/openapi_subscription.json get /v1/subscription/quotas","href":"/api-reference/quotas/get-subscription-quotas"}]}]},{"group":"SDK","pages":[{"title":"SDK sunset","href":"/sdk-reference/introduction"},{"title":"Environment Variables","href":"/sdk-reference/environment_variables"},{"title":"Proxy configuration","href":"/sdk-reference/proxy_configuration"},{"title":"SSL Verification","href":"/sdk-reference/ssl_verification"},{"title":"Exceptions","href":"/sdk-reference/exceptions"}]}],"global":{"anchors":[{"anchor":"Developer Platform","icon":"code","href":"https://platform.bigdata.com/"},{"anchor":"Bigdata Assistant","icon":"comments-dollar","href":"https://bigdata.com"},{"anchor":"Support","icon":"headset","href":"https://docs.bigdata.com/support"}]}},{"tab":"Changelog","pages":[{"title":"Changelog","href":"/release-notes/api_changelog"}]},{"tab":"Content Partners","pages":[{"title":"Content Partners","href":"/partner-content-upload/introduction"}]},{"tab":"FAQ","pages":[{"title":"FAQ","href":"/faq/privacy_questions"}]},{"tab":"Support","pages":[{"title":"Support","href":"/support"}]},{"tab":"Blog","pages":[{"title":"Blog","href":"/blog/introduction"}]}]},"basePath":"","title":"Company Profile - Bigdata.com API developer docs","buildId":"dpl_G2Qd45vZZ7MkBiGF9yYx8ZsbbKXX","deploymentId":"dpl_G2Qd45vZZ7MkBiGF9yYx8ZsbbKXX","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-NXj-Rqjv.js","utils-m0thOP-_.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-D13EKcfm.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema--XTdfsEb.js","snippetPresets-D3s4lmAH.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-ChURybxL.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-DL8CiXq2.js","shallow-DI2-YB2E.js","getApiPlaygroundDisplay-DxbW7b_y.js","CodeSnippet-CiNYS0pP.js","CodeSnippets-BT87bThu.js","Page-DSpdRuhM.js","getPastedJson-F_g_IrFQ.js","icon-CCIG5BAs.js","MethodPill-DY3E0jwx.js","DuplicateIcon-BN88xnEg.js","createIcon-VCCc5HO5.js","DynamicMarkdown-CaSwclgK.js","SectionHeading-DXV8nWhc.js","axios-vUo_bRtp.js","Markdown-CV32Re6G.js","clsx-5ydLOnhV.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-pFDdfjRe.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-BUGO5bPJ.js"]}